<div id="edit-pane">
  <mat-form-field *ngFor="let config of editorConfigs">
    <mat-label>{{title(config.key)}}</mat-label>
    <input *ngIf="!config.isRestricted()" matInput [(ngModel)]="config.value"/>
    <mat-select *ngIf="config.isRestricted()" [(value)]="config.value">
      <mat-option *ngFor="let value of config.restrictedValues" value="{{value}}">{{value}}</mat-option>
    </mat-select>
    <mat-hint>{{description(config.key)}}</mat-hint>
  </mat-form-field>
  <button mat-fab color="primary" (click)="syncData()">
    <mat-icon>{{getUpdateIcon()}}</mat-icon>
  </button>
</div>

<table mat-table [dataSource]="dataSource!" matSort>
    <ng-container *ngFor="let item of columnNames; let colIndex = index" matColumnDef="{{item}}">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> {{title(item)}} </th>
      <td mat-cell *matCellDef="let element"> {{element[item]}} </td>
    </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="columnNames"></tr>
    <tr mat-row (click)="selectRow(row)" [class.row-clicked]="isRowSelected(row)" *matRowDef="let row; columns: columnNames;"></tr>
</table>
